GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
GpgFrontend::UI::FileReadThread Class Reference
Inheritance diagram for GpgFrontend::UI::FileReadThread:
Collaboration diagram for GpgFrontend::UI::FileReadThread:

## Signals
void | SignalSendReadBlock (const std::string &block)
void | SignalReadDone ()

## Public Member Functions
| FileReadThread (std::string path)
| Construct a new File Read Thread object. More...

## Protected Member Functions
void | run () override

## Private Attributes
std::string | path_

## Constructor & Destructor Documentation

## ◆ FileReadThread()

GpgFrontend::UI::FileReadThread::FileReadThread | ( | std::string | path | ) |
| explicit

Construct a new File Read Thread object.

Parameters

  path |

## Member Function Documentation

## ◆ SignalSendReadBlock

void GpgFrontend::UI::FileReadThread::SignalSendReadBlock | ( | const std::string & | block | ) |
| signal

Parameters

  block |

The documentation for this class was generated from the following files:

- src/ui/thread/FileReadThread.h
- src/ui/thread/FileReadThread.cpp